## python-aioharmony 0.2.10

=== requirements.txt ===
slixmpp>=1.7.0
async_timeout>=3.0.1
aiohttp>=3.7.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -v
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-aioharmony (0.2.10-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Aug 2024 22:45:18 +0200

python-aioharmony (0.2.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1078346)

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Aug 2024 16:27:52 +0200

=== debian/control ===
Source: python-aioharmony
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioharmony
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioharmony.git
Homepage: https://github.com/ehendrix23/aioharmony

Package: python3-aioharmony
Architecture: all
Depends:
 python3-aiohttp,
 python3-async-timeout,
 python3-slixmpp,
 ${misc:Depends},
 ${python3:Depends},
Description: asyncio library for connecting to and controlling the Logitech Harmony
 This package provides a library for programmatically using a Logitech Harmony
 Link or Ultimate Hub. This library originated from iandday's pyharmony
 (see: https://github.com/iandday/pyharmony), which was a fork of bkanuka's
 pyharmony (see: https://github.com/bkanuka/pyharmony) with the intent to:
  - Make the harmony library asyncio
  - Ability to provide one's own custom callbacks to be called
  - Automatic reconnect, even if re-connection cannot be established for a time
  - More easily get the HUB configuration through API call
  - Additional callbacks: connect, disconnect, HUB configuration updated
  - Using unique msgid's ensuring that responses from the HUB are correctly
    managed.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ehendrix23/aioharmony.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aioharmony/aioharmony-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
